# Interface methods for submodule: ZeroCrossingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ZeroCrossingImageFilter
class ZeroCrossingImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> int:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

